## org.apache.mahout.math.random
Class IndianBuffet.WordConverter

    java.lang.Object
      org.apache.mahout.math.random.IndianBuffet.WordConverter

Enclosing class:
  IndianBuffet<T>

    public static final class IndianBuffet.WordConverter

extends Object

Converts to one of a list of common English words for reasonably small integers and converts to a token like w_92463 for big integers.

Constructor Summary
`IndianBuffet.WordConverter()`

Method Summary
`String` `convert(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndianBuffet.WordConverter

    public IndianBuffet.WordConverter()

Method Detail

### convert

    public String convert(int i)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.